package LasTres::Race::Aldimor;

use v5.36.0;

use strict;
use warnings;

use utf8;

use Moo;

use UUID::URandom qw/create_uuid_string/;

use LasTres::Stats;
use LasTres::Planet::Bahdder::BosqueDelHeroe::TribuDeLaLima::ArbolCentral;

has base_stats => (
    is      => 'ro',
    builder => \&_build_base_stats
);

has spawn => (
    is      => 'ro',
    builder => \&_build_spawn
);

has identifier => (
    is      => 'ro',
    builder => \&_build_identifier
);

has name => (
    is      => 'ro',
    builder => \&_build_name
);

has name_selection => (
    is      => 'ro',
    builder => \&_build_name_selection
);

has description => (
    is      => 'ro',
    builder => \&_build_description
);

has is_playable => (
    is      => 'ro',
    builder => \&_build_is_playable
);

with 'LasTres::Race';

sub image {
    return '/img/aldimor.png';
}

sub _build_spawn {
    return
      LasTres::Planet::Bahdder::BosqueDelHeroe::TribuDeLaLima::ArbolCentral
      ->instance;
}

sub _build_base_stats {
    return LasTres::Stats->new(
        health       => 80,
        strength     => 90,
        resistance   => 83,
        mana         => 100,
        magic        => 100,
        speed        => 80,
        intelligence => 70
    );
}

sub _build_identifier {
    return 'aldimor';
}

sub _build_name {
    return 'Áldimor';
}

sub _build_name_selection {
    return 'Áldimor del Bosque del Héroe';
}

sub _build_description {
    return 'La raza de la naturaleza y la magia';
}

sub _build_is_playable {
    return 1;
}

sub experience_drop_base {
    return 263;
}
1;
